/*  mapcall.cpp - 
    This file is part of Kalamaris
    Copyright (C) 2000  Antonio Larrosa Jimenez
    Kalamaris' homepage : http://www.arrakis.es/~rlarrosa/kalamaris.html

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 

    Send comments and bug fixes to Antonio Larrosa <larrosa@kde.org>

 ***************************************************************************/
#include "mapnode.h"

MapCall::MapCall(Map *m, const QStringList &param)
{
  map=m;
  if (map->parameters()!=param.count())
  {
    fprintf(stderr,"ERROR !\nMapNode::MapNode - map->parameters()!=param.count !\n");
    return;
  };
  
  params= new Map [param.count()];
  for (int i=0;i<param.count();i++)
  {
    params[i]=Map::parse(param[i]);
  }
  
}

MapCall::~MapCall()
{
  
} 

